<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tisquare.mvp.mcs.db.LoginUserDao">




    <!--
        ============================================================
        Query
        ============================================================
    -->



    <insert id="insertLoginUser"  parameterType="com.tisquare.mvp.mcs.db.domain.LoginUserinfo">
        <![CDATA[
            INSERT INTO T_LOGIN_USER (IUID, REG_DATE, NATIONAL_FMT, APP_VERSION, OS_TYPE, DEVICE_MODEL, TELECOM_CODE ) VALUES( #{iuid}, sysdate, #{phone_no}, #{app_version}, #{os_type}, #{device_model}, #{telecom_code} )
        ]]>
    </insert>


    <select id="selectLoginUser" resultType="String" >
        <![CDATA[
            SELECT SERVICE_NAME FROM T_SERVICE_PROFILE WHERE  SERVICE_NAME ='LOGIN_USER' AND VALUE = 1
        ]]>
    </select>


</mapper>